Bug 819527 - [abrt] geda-gschem-1.6.2-7.fc17: Oxygen::ComboEngine::find: Process /usr/bin/gschem was killed by signal 11 (SIGSEGV)
[abrt] geda-gschem-1.6.2-7.fc17: Oxygen::ComboEngine::find: Process /usr/bin/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: geda-gaf (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
abrt_hash:ae6c8f71333d962d26a113cd2b7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 09:32 EDT by Simon Farnsworth
Modified: 2013-07-31 18:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (4.34 KB, text/plain)
2012-05-07 09:33 EDT, Simon Farnsworth
no flags Details
File: backtrace (27.90 KB, text/plain)
2012-05-07 09:33 EDT, Simon Farnsworth
no flags Details
File: maps (34.95 KB, text/plain)
2012-05-07 09:33 EDT, Simon Farnsworth
no flags Details
File: dso_list (6.31 KB, text/plain)
2012-05-07 09:33 EDT, Simon Farnsworth
no flags Details

  None (edit)
Description Simon Farnsworth 2012-05-07 09:32:58 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gschem
comment:        Working through http://geda.seul.org/wiki/geda:ngspice_and_gschem - had just set up Vcc, and was about to start on the transistor model
crash_function: Oxygen::ComboEngine::find
executable:     /usr/bin/gschem
kernel:         3.3.4-4.fc17.x86_64
pid:            19265
pwd:            /home/simon/simpleSPICE
remote_result:  NOTFOUND
time:           Mon 07 May 2012 01:35:44 PM BST
uid:            1100
username:       simon

backtrace:      Text file, 28566 bytes
dso_list:       Text file, 6460 bytes
environ:        Text file, 4440 bytes
maps:           Text file, 35790 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/simon/1

core_backtrace:
:ce50f0a194ba50393a4e6c110f50d83f87f6d127 0x6dde1 Oxygen::ComboEngine::find(_GtkWidget*) liboxygen-gtk.so -
:ce50f0a194ba50393a4e6c110f50d83f87f6d127 0x6a58d Oxygen::Animations::sizeAllocationHook(_GSignalInvocationHint*, liboxygen-gtk.so -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x202b3 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x283f79 gtk_widget_size_allocate libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x15899c gtk_menu_popup libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x2e5a5e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14cc3c - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x20450 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x27f20e - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14aa04 gtk_propagate_event libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x14ad6b gtk_main_do_event libgtk-x11-2.0.so.0 -
:657855175bdd1a6a2a52f1b51fd5b8a1afe2efcd 0x611cc - libgdk-x11-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x149d67 gtk_main libgtk-x11-2.0.so.0 -
:26438c8f1a783e55a44833f74c4ecd4e646f526d 0x191fe - [exe] -
:c84ccae6ee2ac049512c746d75256170bd1183bc 0x6725f - libguile.so.17 -
:c84ccae6ee2ac049512c746d75256170bd1183bc 0x3dcda - libguile.so.17 -
:c84ccae6ee2ac049512c746d75256170bd1183bc 0xa4a00 scm_c_catch libguile.so.17 -
:c84ccae6ee2ac049512c746d75256170bd1183bc 0x3e267 scm_i_with_continuation_barrier libguile.so.17 -
:c84ccae6ee2ac049512c746d75256170bd1183bc 0x3e300 scm_c_with_continuation_barrier libguile.so.17 -
:c84ccae6ee2ac049512c746d75256170bd1183bc 0xa2dc4 scm_i_with_guile_and_parent libguile.so.17 -
:c84ccae6ee2ac049512c746d75256170bd1183bc 0x67305 scm_boot_guile libguile.so.17 -
:26438c8f1a783e55a44833f74c4ecd4e646f526d 0x12d81 - [exe] -

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31415                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31415                31415                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/1
:pos:	0
:flags:	0100002
:1:/dev/pts/1
:pos:	0
:flags:	0100002
:2:/dev/pts/1
:pos:	0
:flags:	0100002
:3:pipe:[316344]
:pos:	0
:flags:	00
:4:pipe:[316344]
:pos:	0
:flags:	01
:5:socket:[316345]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:/home/simon/.gEDA/logs
:pos:	2147483647
:flags:	02304000
:8:/home/simon/.gEDA/logs/gschem-20120507-2.log
:pos:	513
:flags:	0100002
:9:socket:[331765]
:pos:	0
:flags:	02004002

var_log_messages:
:May  7 13:35:44 lister kernel: [20314.636724] gschem[19265]: segfault at c8 ip 00007fbdc985bde1 sp 00007fffe946d9c0 error 4 in liboxygen-gtk.so[7fbdc97ee000+148000]
:May  7 13:35:45 lister abrt[19522]: Saved core dump of pid 19265 (/usr/bin/gschem) to /var/spool/abrt/ccpp-2012-05-07-13:35:44-19265 (49774592 bytes)
Comment 1 Simon Farnsworth 2012-05-07 09:33:02 EDT
Created attachment 582665 [details]
File: environ
Comment 2 Simon Farnsworth 2012-05-07 09:33:04 EDT
Created attachment 582666 [details]
File: backtrace
Comment 3 Simon Farnsworth 2012-05-07 09:33:16 EDT
Created attachment 582667 [details]
File: maps
Comment 4 Simon Farnsworth 2012-05-07 09:33:18 EDT
Created attachment 582668 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 17:13:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 18:08:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.